Subject: Re: [Ice] [dispatch] Draft charter

From: Marc Petit-Huguenin <[email-masked]>
Date: Thu, 23 Jul 2015 11:45:45 +0200

On 07/23/2015 09:47 AM, Magnus Westerlund wrote:
> Hi,
> 
> First of all creating an ICE WG is in my opinion a good idea.
> However, I think this charter will need some work. The introduction
> appears fine, but the work the group should do is poorly specified. I
> think the charter need to be much more specific on what work the
> group should do. Please write clearer goals for the work that is to
> be done by the group.

That was never meant as a complete charter, but as a minimal charter to which people can propose new and/or modified text.  I am happy to serve as editor until someone better at it step in, but meanwhile sending text is probably the best way to iterate quickly towards an acceptable charter.

Thanks.

> 
> Cheers
> 
> Magnus
> 
> 
> Den 2015-07-23 kl. 06:24, skrev Marc Petit-Huguenin:
>> 
>> Charter for Working Group
>> 
>> Interactive Connectivity Establishment was published as RFC 5245
>> in April 2010. Until recently the protocol had seen rather limited 
>> deployment. ICE was slow to achieve widespread adoption, as other 
>> mechanisms were already being used by the VoIP industry. This 
>> situation has changed drastically as ICE is mandatory to implement
>> in WebRTC, a set of technologies developed at the IETF and W3C to 
>> standardize Real Time Communication on the Web.
>> 
>> Interactive Connectivity Establishment (ICE) is at the same time a 
>> NAT traversal technique, a multihomed address selection technique, 
>> and a dual stack address selection technique that works by
>> including a multiplicity of IP addresses and ports in both the
>> request and response messages of a connectivity establishment
>> transaction.  The IP addresses and ports provided by each side are
>> paired and tested by peer-to-peer connectivity checks until one of
>> these pair is selected to transport data.
>> 
>> ICE was originally defined for the Offer-Answer (RFC 3264)
>> protocol used by SIP (RFC 3261) and later XMPP (XEP-0176), RTSP 
>> (draft-ietf-mmusic-rtsp-nat), RTCWeb (draft-ietf-rtcweb-jsep) and 
>> other realtime media establishment protocol.  But it is also used
>> by non-realtime media protocols, like HIP (RFC 5770) and RELOAD
>> (RFC 6940).
>> 
>> The goal of the ICE Working Group is to consolidate the various 
>> initiatives to update ICE to make it more suitable for the WebRTC 
>> environment but also to all the current usages of ICE.  The
>> Working Group will closely coordinate with the appropriate Working
>> Groups, including RTCWEB, MMUSIC, TRAM, MIF, HIP and P2PSIP.
>> 
> 
> 

- -- 
Marc Petit-Huguenin
Email: [email-masked]
Blog: http://blog.marc.petit-huguenin.org
Profile: http://www.linkedin.com/in/petithug

---

From: "Pal Martinsen (palmarti)" <[email-masked]>
Date: Thu, 23 Jul 2015 11:45:13 +0000

Hi,

Removed dispatch to avoid cross posting while discussing the charter. Need to loop them back once the charter is closer to completion.

>> First of all creating an ICE WG is in my opinion a good idea.

Care to elaborate on why? Anything that can be done to help ease any worries?

During dispatch there was a worry regarding SDP parts of the pusle, but that would likely stay in MMUSIC. Any new ICE workgroup and MMUSIC need to be very synced in that area.

> That was never meant as a complete charter, but as a minimal charter to which people can propose new and/or modified text.  I am happy to serve as editor until someone better at it step in, but mea…
That would be excellent. More comments below. 

[cut]
>>> Groups, including RTCWEB, MMUSIC, TRAM, MIF, HIP and P2PSIP.
I think listing other WG can be a bit dangerous. We should come up with separate goals instead. Finding any correct WG to cooperate with is an “implementation” detail. 

A few key points the charter should contain:

- Focus on core ICE functionality. (At least make it possible for others to define how candidates are exchanged etc.)
- Improving ICE. (Revisiting old recommendations, removing complexity, speeding up the process)
- New features. New functionality and allowing other protocols to be used by ICE. (Mobility and DTLS)
- Help other WG understand ICE and not break ICE by doing “stupid” things. 

Not sure how the above should be written into a charter. (How to reduce scope but still being fairly wide).

.-.
Pål-Erik

---

From: Suhas Nandakumar <[email-masked]>
Date: Thu, 23 Jul 2015 14:05:57 +0200

Agree with Pal on the items and suggest removing the word about
consolidation the work from other groups. It would be better to keep the
charter focussed to problems to be solved with current ICE and new ICE
extensions and just that.

On Thu, Jul 23, 2015 at 1:45 PM, Pal Martinsen (palmarti) <
[email-masked]> wrote:

> Hi,
>
> Removed dispatch to avoid cross posting while discussing the charter. Need
> to loop them back once the charter is closer to completion.
>
> >
> During dispatch there was a worry regarding SDP parts of the pusle, but
> that would likely stay in MMUSIC. Any new ICE workgroup and MMUSIC need to
> be very synced in that area.
>
>
> > That was never meant as a complete charter, but as a minimal charter to
> which people can propose new and/or modified text.  I am happy to serve as
> editor until someone better at it step in, but meanwhile sending text is
> probably the best way to iterate quickly towards an acceptable charter.
> >
> I think listing other WG can be a bit dangerous. We should come up with
> separate goals instead. Finding any correct WG to cooperate with is an
> “implementation” detail.
>
> - Focus on core ICE functionality. (At least make it possible for others
> to define how candidates are exchanged etc.)
> _______________________________________________
> Ice mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ice
>